Skip to main content
POST
/
v1
/
cards
Issue card
curl --request POST \
  --url https://api.clearbox.example.com/v1/cards \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "wallet_id": "<string>",
  "network": "visa",
  "spend_limit": {
    "amount": "100.00",
    "currency": "USD",
    "interval": "transaction"
  }
}
'
{
  "card_id": "crd_9a7b",
  "masked_pan": "**** **** **** 4242",
  "expiry": "12/29",
  "balance": "0.00"
}

Documentation Index

Fetch the complete documentation index at: https://docs.clear-box.io/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

ClearBox API key. Use cb_sandbox_... in the sandbox and cb_live_... in production.

Body

application/json
wallet_id
string
required
network
enum<string>
default:visa
Available options:
visa,
mastercard
spend_limit
object

Response

201 - application/json

Card issued.

card_id
string
Example:

"crd_9a7b"

masked_pan
string
Example:

"**** **** **** 4242"

expiry
string
Example:

"12/29"

status
enum<string>
Available options:
active,
frozen,
closed
balance
string
Example:

"0.00"